# 21 Jun 12
# 	Estimate regression models for ACLED civiliian/riots data
#
#	This file is in support of the publication:
#		OLoughlin, J., F. Witmer, A. Linke, A. Laing, A Gettelman, and J. Dudhia (2012).
#		Climate variability and conflict risk in East Africa 1990-2009.
#		Proceedings of the National Academy of Sciences.
#
#		PNAS Table S4, col. a and Figs S9a and S10a
###############################################


# set output directory
outDir <- "C://Users/XXX/"

# load model analsys functions
source(paste(outDir, "../SharedClimateModelFunctions.R", sep=""))

# load grid-month data & define regression variables for analysis
source(paste(outDir, "../LoadOneDegGridMonthData.R", sep=""))

depVar <- "EventsCivRiots"

modelName <- "CivRiots"
## glm model, no splines
glmVars <- c(paste(depVar, "SpLag_lag1", sep=""), precipVar, tempVar, controlVars)
countryFE <- myGLM(depVar, glmVars, writeFile=TRUE, modelName)	# 65 secs

## base GAM model
thetaNB <- countryFE$theta
gamVars <- c(paste(depVar, "SpLag_lag1", sep=""), paste("s(SPI6, bs=\"",baseSmooth,"\")", sep=""), paste("s(TI6, bs=\"",baseSmooth,"\")", sep=""), controlVars)
gamCntryFE <- myGAM(depVar, gamVars, thetaNB, writeFile=TRUE, modelName)	# 85 secs


